<!-- Code generated by gomarkdoc. DO NOT EDIT -->

# main

```go
import "github.com/Qithub-BOT/QiiTrans/src/main"
```

## Index

- [Constants](<#constants>)
- [Variables](<#variables>)
- [func GetVersionApp() string](<#func-getversionapp>)
- [func NewEngine(nameEngine string) (*engine.Properties, error)](<#func-newengine>)
- [func PreRun(argv *TFlag) error](<#func-prerun>)
- [func Run(ngin *engine.Properties, orderLang []string, ctx *cli.Context) error](<#func-run>)
- [func Translate(e *engine.Properties, orderLang []string, inputText string) (string, error)](<#func-translate>)
- [func main()](<#func-main>)
- [type TFlag](<#type-tflag>)
  - [func (argv *TFlag) AutoHelp() bool](<#func-tflag-autohelp>)
  - [func (argv *TFlag) Validate(ctx *cli.Context) error](<#func-tflag-validate>)


## Constants

```go
const (
    // VersionAppDefault はアプリのバイナリをビルドする際にバージョン指定がない場合のアプリのバージョンです.
    VersionAppDefault = "dev"

    // MsgHelp はヘルプの表示内容です.
    //
    // "%s" は表示する際にアプリ名に自動置換されます。編集する際には文頭のスペースに注意.
    MsgHelp = `%s
  %s コマンドは文書作成支援ツールです。
  標準入力のテキストを、引数の言語から言語へ自動翻訳した結果を返します。

Usage:
  %s [Options] LangFrom LangTo [LangTo ...]

Example:
  $ # 日本語 → 英語に翻訳
  $ echo '私は、賛成の反対に同意なのだ' | %s ja en
  I agree to disagree.

  $ # 日本語 → 英語 → 日本語に翻訳
  $ echo '私は、賛成の反対に同意なのだ' | %s ja en ja
  同意しないことに同意します。

  $ # 日本語 → 英語 → スペイン語 → 中国語 → 日本語の順に翻訳
  $ echo '同意しないことに同意します。' | %s ja en es zh ja
  同意しないことに同意します。

LangFrom:
  標準入力から受け取るテキストの言語を指定します。（翻訳元の言語）

LangTo:
  翻訳先の言語を指定します。
  LangTo は複数指定可能で、1 つ前の言語から翻訳します。

翻訳エンジンについて
  現在は以下の翻訳 API に対応しています。（利用するには、無料もしくは有料アカウントの登録とアクセス・トークンの発行が必要です）

  deepl ... DeepL API: https://www.deepl.com/docs-api/ （デフォルトの翻訳エンジン）

翻訳エンジンとアクセス・トークンの設定について:
  %s は、翻訳 API のアクセストークンを環境変数から読み取ります。

  QIITRANS_API_KEY ... デフォルトで使うアクセス・トークンです。
  DEEPL_API_KEY ... DeepL 専用のアクセス・トークンです。セットされている場合は、QIITRANS_API_KEY より優先されます。
`
)
```

## Variables

versionApp はアプリのバージョン情報です\. デフォルト値以外にセットする場合は、アプリのバイナリをビルドする際に設定してください\.

```go
var versionApp string = VersionAppDefault
```

## func [GetVersionApp](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/main/GetVersionApp.go#L12>)

```go
func GetVersionApp() string
```

GetVersionApp は、アプリのバージョン情報を返します\.

デフォルトで dev ですが、アプリのバイナリをビルドする際に main\.versionApp の値を指定する必要があります\.

## func [NewEngine](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/main/NewEngine.go#L10>)

```go
func NewEngine(nameEngine string) (*engine.Properties, error)
```

NewEngine は nameEngine で指定された翻訳エンジンのオブジェクト・ポインタを返します\.

## func [PreRun](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/main/PreRun.go#L8>)

```go
func PreRun(argv *TFlag) error
```

PreRun はアプリの初期化を行います\.

## func [Run](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/main/Run.go#L10>)

```go
func Run(ngin *engine.Properties, orderLang []string, ctx *cli.Context) error
```

Run は、翻訳エンジンのインスタンスを使って翻訳を実行し、結果をコンテキストに渡します\.

## func [Translate](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/main/Translate.go#L10>)

```go
func Translate(e *engine.Properties, orderLang []string, inputText string) (string, error)
```

Translate は e の翻訳エンジンを使って orderLang で指定された言語の順に inputText を翻訳し、結果を返します\.

## func [main](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/main/main.go#L14>)

```go
func main()
```

## type [TFlag](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/main/TFlag.go#L4-L13>)

TFlag は、コマンド引数を定義する構造体です\.

```go
type TFlag struct {
    APIKey         string `cli:"apikey" usage:"翻訳に使うエンジンのアクセス・トークンを指定します" dft:""`
    NameEngine     string `cli:"engine" usage:"翻訳に使うエンジンを指定します" dft:"deepl"`
    ClearBeforeRun bool   `cli:"clear" usage:"実行前にキャッシュを完全に削除します。（API の利用枠を消費します）"`
    Help           bool   `cli:"h,help" usage:"ヘルプを表示します"`
    IsModeDebug    bool   `cli:"debug" usage:"デバッグ情報を標準エラー出力に出力します"`
    IsNoCache      bool   `cli:"no-cache" usage:"キャッシュを利用せずに翻訳 API から再取得します。（API の利用枠を消費します）"`
    ShowInfo       bool   `cli:"info" usage:"API のリクエスト可能な残数など、API 情報を最後に出力します"`
    Version        bool   `cli:"v,version" usage:"アプリのバージョン情報を表示します"`
}
```

### func \(\*TFlag\) [AutoHelp](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/main/TFlag.AutoHelp.go#L13>)

```go
func (argv *TFlag) AutoHelp() bool
```

AutoHelp は cli\.AutoHelper インターフェースの実装です\.

ヘルプを表示する際に使い方などの付加情報を設定しています\.

### func \(\*TFlag\) [Validate](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/main/TFlag.Validate.go#L11>)

```go
func (argv *TFlag) Validate(ctx *cli.Context) error
```

Validate メソッドは、コマンド引数のバリデーションを行い、cli\.Run\(\) の内容が実行される前に呼び出されます\.

------

Generated by [gomarkdoc](<https://github.com/princjef/gomarkdoc>)
