<!-- Code generated by gomarkdoc. DO NOT EDIT -->

# utils

```go
import "github.com/Qithub-BOT/QiiTrans/src/utils"
```

## Index

- [Constants](<#constants>)
- [Variables](<#variables>)
- [func ExitOnErr(err error)](<#func-exitonerr>)
- [func GetListLang() map[string]string](<#func-getlistlang>)
- [func GetNameExe() string](<#func-getnameexe>)
- [func GetSTDIN() (stdin string, err error)](<#func-getstdin>)
- [func Hash(algo string, value string) (string, []byte, error)](<#func-hash>)
- [func InteractSTDIN(funcUser func(string) (string, error), stopWord string) (err error)](<#func-interactstdin>)
- [func IsDir(pathFile string) bool](<#func-isdir>)
- [func IsEnglish(input string) bool](<#func-isenglish>)
- [func IsFile(pathFile string) bool](<#func-isfile>)
- [func IsModeDebug() bool](<#func-ismodedebug>)
- [func IsTerminal() bool](<#func-isterminal>)
- [func IsValidLang(lang string) bool](<#func-isvalidlang>)
- [func LogDebug(log string, a ...interface{})](<#func-logdebug>)
- [func PanicOnErr(err error)](<#func-paniconerr>)
- [func PathExists(pathFile string) bool](<#func-pathexists>)
- [func SetModeDebug(flag bool)](<#func-setmodedebug>)
- [func SliceSentences(inputText string) []string](<#func-slicesentences>)
- [func SliceToSentenceChore(inputText string) []string](<#func-slicetosentencechore>)
- [func SliceToSentenceEng(inputTextEn string) []string](<#func-slicetosentenceeng>)


## Constants

```go
const (
    // SUCCESS は成功時の終了ステータスです.
    SUCCESS int = 0

    // FAILURE 失敗時の終了ステータスです.
    FAILURE int = 1
)
```

## Variables

IsTerminalDummy はテスト時に標準入力からの受け取りをモックするために使われる値です\. 値を true に設定すると IsTerminal\(\) は強制的に true を返します。false に設定した場合は、自動検知が働きます\.

```go
var IsTerminalDummy bool = false
```

OsExit は os\.Exit のエイリアスです\. テストで os\.Exit の終了ステータスをモックする場合に使われます\.

```go
var OsExit = os.Exit
```

ValSTDINDummy は GetSTDIN\(\) の挙動を mock するための値です\.

この値が空でない場合、GetSTDIN\(\) はセットされた値を返します\.

```go
var ValSTDINDummy string = ""
```

```go
var isModeDebug bool = false
```

listLang は利用可能な言語のマップです\. 自動生成されるため GetListLang\(\) か IsValidLang\(\) を利用してください\.

```go
var listLang map[string]string
```

## func [ExitOnErr](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/utils/ExitOnErr.go#L9>)

```go
func ExitOnErr(err error)
```

ExitOnErr は err がエラーの場合のみ、エラー内容を標準エラー出力に出力して OsExit\(1\) を呼び出します\.

## func [GetListLang](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/utils/GetListLang.go#L13>)

```go
func GetListLang() map[string]string
```

GetListLang は、翻訳に使える言語の一覧をマップで返します\.

"map\[検索\]: 指定フォーマット" の形で返ってくるので、バリデーションに使います\. "japanese" でキーを検索すると "ja"、"JA" でキーを検索しても "ja" が取得できます\.

## func [GetNameExe](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/utils/GetNameExe.go#L9>)

```go
func GetNameExe() string
```

GetNameExe は、現在の実行ファイル名から拡張子を除いたファイル名を返します\.

## func [GetSTDIN](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/utils/GetSTDIN.go#L16>)

```go
func GetSTDIN() (stdin string, err error)
```

GetSTDIN はパイプ渡し or リダイレクトされた標準入力からのデータを返します\.

対話式で標準入力を取得したい場合は InteractSTDIN\(\) を利用してください\.

## func [Hash](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/utils/Hash.go#L28>)

```go
func Hash(algo string, value string) (string, []byte, error)
```

Hash は指定されたアルゴリズムを使って value をハッシュ化し、文字列と byte で結果を返します\.

### Supported hash

```
fnv1_32    (checksum usage, 4 byte, 8 char length)
fnv1_64    (checksum usage, 8 byte, 16 char length)
md5        (checksum usage, 16 byte, 32 char length)
sha2_256   (casual usage, 32 byte, 64 char length)
blake3_256 (experimental, 32 byte, 64 char length)
sha3_256   (recommended, 32 byte, 64 char length)
sha2_512   (recommended, 64 byte, 128 char length)
sha3_512   (recommended, 64 byte, 128 char length)
blake3_512 (experimental, 64 byte, 64 char length)
```

## func [InteractSTDIN](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/utils/InteractSTDIN.go#L15>)

```go
func InteractSTDIN(funcUser func(string) (string, error), stopWord string) (err error)
```

InteractSTDIN は対話モードで標準入力を処理します\.

標準入力から stopWord が入力されるまで、funcUser\(\) に標準入力の値を入れた結果を表示し続けます\. 単発の標準入力が欲しい場合は GetSTDIN\(\) を利用してください\.

## func [IsDir](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/utils/IsDir.go#L8>)

```go
func IsDir(pathFile string) bool
```

IsDir は pathFile のパスが存在し、ディレクトリの場合に true を返します\.

パスの構文解析に失敗した場合はエラーで終了（OsExit）します\.

## func [IsEnglish](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/utils/IsEnglish.go#L10>)

```go
func IsEnglish(input string) bool
```

IsEnglish は input が英文であると予測した場合に true を返します\.

## func [IsFile](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/utils/IsFile.go#L10>)

```go
func IsFile(pathFile string) bool
```

IsFile は pathFile のパスが存在し、ファイルの場合に true を返します\.

パスの構文解析に失敗した場合はエラーで終了（OsExit）します\.

## func [IsModeDebug](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/utils/IsModeDebug.go#L7>)

```go
func IsModeDebug() bool
```

IsModeDebug はデバッグ・モードの場合に true を返します\.

Verbose 出力と異なり、ユーザ・サポートに必要な情報を出力する場合などに使います\. デバッグ・モードの設定は SetModeDebut\(\) を使います\.

## func [IsTerminal](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/utils/IsTerminal.go#L16>)

```go
func IsTerminal() bool
```

IsTerminal はアプリがターミナル（コマンドライン）で実行されているか返します\.

テストでは必ず false になるため、テストでこの挙動を変えたい場合は IsTerminalDummy の値を true にします\.

## func [IsValidLang](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/utils/IsValidLang.go#L6>)

```go
func IsValidLang(lang string) bool
```

IsValidLang は lang が QiiTrans の引数として有効な書式かチェックします\.

## func [LogDebug](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/utils/LogDebug.go#L12>)

```go
func LogDebug(log string, a ...interface{})
```

LogDebug はデバッグ・モードが true の場合のみ標準エラー出力に出力します\.

デバッグ・モードをセットするには SetModeDebug\(\) を使ってください\.

## func [PanicOnErr](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/utils/PanicOnErr.go#L11>)

```go
func PanicOnErr(err error)
```

PanicOnErr は err がエラーの場合のみパニックを発生します\.

OsExit では都合が悪い時（defer を実行させる必要があるなど）に利用します\.

## func [PathExists](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/utils/PathExists.go#L6>)

```go
func PathExists(pathFile string) bool
```

PathExists はパスが存在する場合に true を返します\.

## func [SetModeDebug](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/utils/SetModeDebug.go#L8>)

```go
func SetModeDebug(flag bool)
```

SetModeDebug はデバッグ・モードのオン・オフを行います\.

引数を true でセットすると GetModeDebug\(\) は true を返します\.

## func [SliceSentences](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/utils/SliceToSentence.go#L11>)

```go
func SliceSentences(inputText string) []string
```

SliceSentences は文字列を文の区切りごとにスライスにします\.

## func [SliceToSentenceChore](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/utils/SliceToSentence.go#L20>)

```go
func SliceToSentenceChore(inputText string) []string
```

SliceToSentenceChore は英語以外の文字列として文の区切りごとにスライスするのに使われます\.

## func [SliceToSentenceEng](<https://github.com/Qithub-BOT/QiiTrans/blob/main/src/utils/SliceToSentence.go#L65>)

```go
func SliceToSentenceEng(inputTextEn string) []string
```

SliceToSentenceEng は英語の文字列として文の区切りごとにスライスするのに使われます\.

------

Generated by [gomarkdoc](<https://github.com/princjef/gomarkdoc>)
